# Interface SummaryTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface SummaryTree extends InlineTagTree
A tree node for an `@summary` inline tag.

       {@summary text}

Since:
  10

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getSummary()`
Returns the summary or the first line of a comment.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

### Methods declared in interface InlineTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

## Method Details

### getSummary

List<? extends DocTree> getSummary()
Returns the summary or the first line of a comment.

Returns:
  the summary text